<?php

if (!function_exists('minimalista_base_customize_panel_function')) {

	function minimalista_base_customize_panel_function() {

		$theme_panel = array (

			array(

				'label' => esc_html__( 'Hide Tagline','minimalista-base'),
				'description' => esc_html__( 'Do you want to hide the tagline?','minimalista-base'),
				'id' => 'minimalista_base_hide_tagline',
				'type' => 'checkbox',
				'section' => 'title_tagline',
				'std' => true,

			),

			/* START SUPPORT SECTION */

			array(

				'title' => esc_html__( 'Upgrade to Minimalista Pro','minimalista-base'),
				'id' => 'minimalista-base-customize-info',
				'type' => 'minimalista-base-customize-info',
				'section' => 'minimalista-base-customize-info',
				'priority' => '08',

			),

			/* COLORS */

			array(

				'label' => esc_html__('Logo text color','minimalista-base'),
				'description' => esc_html__('Choose your custom color for the logo.','minimalista-base'),
				'id' => 'minimalista_base_logo_text_color',
				'type' => 'color',
				'section' => 'colors',
				'std' => '#616161',
			),

			/* START GENERAL SECTION */

			array(

				'title' => esc_html__( 'Minimalista Base Main Settings','minimalista-base'),
				'description' => esc_html__( 'Minimalista Base Main Settings','minimalista-base'),
				'type' => 'panel',
				'id' => 'general_panel',
				'priority' => '10',

			),

			/* SKINS */

			array(

				'title' => esc_html__( 'Color Scheme','minimalista-base'),
				'description' => esc_html__( 'From this section you can manage the color scheme of Minimalista Base.','minimalista-base'),
				'type' => 'section',
				'panel' => 'general_panel',
				'priority' => '11',
				'id' => 'colorscheme_section',

			),

			array(

				'label' => esc_html__( 'Body Color Schemes','minimalista-base'),
				'description' => esc_html__('Choose your body color scheme.','minimalista-base'),
				'id' => 'minimalista_base_skin',
				'type' => 'select',
				'section' => 'colorscheme_section',
				'options' => array (
				   'cyan' => esc_html__( 'Cyan','minimalista-base'),
				   'orange' => esc_html__( 'Orange','minimalista-base'),
				   'blue' => esc_html__( 'Blue','minimalista-base'),
				   'red' => esc_html__( 'Red','minimalista-base'),
				   'pink' => esc_html__( 'Pink','minimalista-base'),
				   'purple' => esc_html__( 'Purple','minimalista-base'),
				   'yellow' => esc_html__( 'Yellow','minimalista-base'),
				   'green' => esc_html__( 'Green','minimalista-base'),
				   'black' => esc_html__( 'Black','minimalista-base'),
				   'clean-yellow' => esc_html__( 'Clean Yellow','minimalista-base'),
				   'clean-red' => esc_html__( 'Clean Red','minimalista-base'),
				   'clean-turquoise' => esc_html__( 'Clean Turquoise','minimalista-base'),
				   'clean-green' => esc_html__( 'Clean Green','minimalista-base'),
				   'clean-blue' => esc_html__( 'Clean Blue','minimalista-base'),
				   'clean-pink' => esc_html__( 'Clean Pink','minimalista-base'),
				),

				'std' => 'orange',

			),

			/* Topbar settings */

			array(

				'title' => esc_html__( 'Topbar section','minimalista-base'),
				'description' => esc_html__( 'From this section you can manage the topbar.','minimalista-base'),
				'type' => 'section',
				'id' => 'topbar_section',
				'panel' => 'general_panel',
				'priority' => '13',

			),

			array(

				'label' => esc_html__('Left columns','minimalista-base'),
				'description' => esc_html__('Select the element to show on left column','minimalista-base'),
				'id' => 'minimalista_base_topbar_leftcolumn',
				'type' => 'select',
				'section' => 'topbar_section',
				'options' => array (
					'current_date' => esc_html__( 'Show the current date','minimalista-base'),
					'newsticker' => esc_html__( 'Show the newsticker','minimalista-base'),
					'social_icons' => esc_html__( 'Show the social icons','minimalista-base'),
				 ),
				 'std' => 'current_date',

			),

			array(

				'label' => esc_html__( 'Date format','minimalista-base'),
				'description' => sprintf( wp_kses( __( '<a href="%s" target="_blank">To format the date, please refer to the online documentation for detailed instructions</a>.', 'minimalista-base' ), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( 'https://wordpress.org/support/article/formatting-date-and-time' ) ),
				'id' => 'minimalista_base_topbar_date_format',
				'type' => 'dateformat',
				'section' => 'topbar_section',
				'std' => 'l, F j Y',

			),

			array(

				'label' => esc_html__( 'News ticker title','minimalista-base'),
				'description' => esc_html__( 'Insert the title for the news ticker','minimalista-base'),
				'id' => 'minimalista_base_news_ticker_title',
				'type' => 'text',
				'section' => 'topbar_section',
				'std' => esc_html__( 'HOT', 'minimalista-base'),

			),

			array(

				'label' => esc_html__('News ticker category','minimalista-base'),
				'description' => esc_html__('Please select the category of the news ticker','minimalista-base'),
				'id' => 'minimalista_base_news_ticker_category',
				'type' => 'select',
				'section' => 'topbar_section',
				'options' => minimalista_base_get_categories(),
				'std' => 'all',

			),

			array(
				'label' => esc_html__('News ticker orderby','minimalista-base'),
				'description' => esc_html__('How you want to order the articles?','minimalista-base'),
				'id' => 'minimalista_base_news_ticker_order',
				'type' => 'select',
				'section' => 'topbar_section',
				'options' => array (
					'title' => esc_html__( 'Post title','minimalista-base'),
					'rand' => esc_html__( 'Randomly','minimalista-base'),
					'comment_count' => esc_html__( 'Comment count','minimalista-base'),
					'date' => esc_html__( 'Post date','minimalista-base'),
				 ),
				 'std' => 'date',
			),

			array(
				'label' => esc_html__('News ticker sort order','minimalista-base'),
				'description' => esc_html__('Select the order of the articles','minimalista-base'),
				'id' => 'minimalista_base_news_ticker_sort_order',
				'type' => 'select',
				'section' => 'topbar_section',
				'options' => array (
					'asc' => esc_html__( 'Ascending','minimalista-base'),
					'desc' => esc_html__( 'Descending','minimalista-base'),
				 ),
				 'std' => 'desc',
			),

			array(

				'label' => esc_html__( 'News ticker limit','minimalista-base'),
				'description' => esc_html__( 'Please set the limit of the news ticker','minimalista-base'),
				'id' => 'minimalista_base_news_ticker_limit',
				'type' => 'number',
				'input_attrs' => array(
					'min' => -1,
				),
				'section' => 'topbar_section',
				'std' => '-1',

			),

			/* Recent posts grid settings */

			array(

				'title' => esc_html__( 'Recent posts grid','minimalista-base'),
				'description' => esc_html__( 'From this section you can manage recent posts grid on the homepage.','minimalista-base'),
				'type' => 'section',
				'id' => 'recent_posts_grid_section',
				'panel' => 'general_panel',
				'priority' => '13',

			),

			array(

				'label' => esc_html__( 'Recent Posts Grid', 'minimalista-base' ),
				'description' => esc_html__( 'Do you want to enable the recent posts grid on the homepage?', 'minimalista-base' ),
				'id' => 'minimalista_base_enable_recent_posts',
				'type' => 'checkbox',
				'section' => 'recent_posts_grid_section',
				'std' => true,

			),

			array(

				'label' => esc_html__( 'Recent posts only on the first page of pagination', 'minimalista-base' ),
				'description' => esc_html__( 'Do you want to show the recent posts grid only on the first page of pagination on your homepage? Enable this option to display the recent posts grid exclusively on the first page.', 'minimalista-base' ),
				'id' => 'minimalista_base_enable_recent_posts_only_first_page_pagination',
				'type' => 'checkbox',
				'section' => 'recent_posts_grid_section',
				'std' => false,

			),

			array(

				'label' => esc_html__( 'Exclude Recent Posts', 'minimalista-base' ),
				'description' => esc_html__( 'Do you want to exclude the recent posts from the main homepage article loop (if the recent posts grid is enabled)?', 'minimalista-base' ),
				'id' => 'minimalista_base_exclude_recent_posts_on_loop',
				'type' => 'checkbox',
				'section' => 'recent_posts_grid_section',
				'std' => false,

			),

			/* Trending posts settings */

			array(

				'title' => esc_html__( 'Trending posts grid','minimalista-base'),
				'description' => esc_html__( 'From this section you can manage trending posts grid on the homepage.','minimalista-base'),
				'type' => 'section',
				'id' => 'trending_posts_section',
				'panel' => 'general_panel',
				'priority' => '13',

			),

			array(

				'label' => esc_html__( 'Trending Posts', 'minimalista-base' ),
				'description' => esc_html__( 'Do you want to enable the trending posts grid on the homepage?', 'minimalista-base' ),
				'id' => 'minimalista_base_enable_trending_posts',
				'type' => 'checkbox',
				'section' => 'trending_posts_section',
				'std' => true,

			),
			
			array(

				'label' => esc_html__( 'Trending Posts only on the first page of pagination', 'minimalista-base' ),
				'description' => esc_html__( 'Do you want to show the trending posts only on the first page of pagination on your homepage? Enable this option to display the trending posts exclusively on the first page.', 'minimalista-base' ),
				'id' => 'minimalista_base_enable_trending_posts_only_first_page_pagination',
				'type' => 'checkbox',
				'section' => 'trending_posts_section',
				'std' => false,

			),

			array(

				'label' => esc_html__( 'Trending posts section title','minimalista-base'),
				'description' => esc_html__( 'Insert the title of trending posts section','minimalista-base'),
				'id' => 'minimalista_base_trending_posts_section_title',
				'type' => 'text',
				'section' => 'trending_posts_section',
				'std' => esc_html__( 'Trending Posts', 'minimalista-base' )

			),

			array(

				'label' => esc_html__('Trending posts category','minimalista-base'),
				'description' => esc_html__('Please select the category of trending posts section','minimalista-base'),
				'id' => 'minimalista_base_trending_posts_category',
				'type' => 'select',
				'section' => 'trending_posts_section',
				'options' => minimalista_base_get_categories(),
				'std' => 'all',

			),

			array(

				'label' => esc_html__('Trending posts orderby','minimalista-base'),
				'description' => esc_html__('Select the icon for WooCommerce header cart (Please clear the cookies to display the new icon)','minimalista-base'),
				'id' => 'minimalista_base_trending_posts_orderby',
				'type' => 'select',
				'section' => 'trending_posts_section',
				'options' => array (
					'ID' => esc_html__( 'ID','minimalista-base'),
					'author' => esc_html__( 'Author','minimalista-base'),
					'title' => esc_html__( 'Post title','minimalista-base'),
					'date' => esc_html__( 'Date','minimalista-base'),
					'comment_count' => esc_html__( 'Number of comments','minimalista-base'),
				 ),
				 'std' => 'comment_count',

			),

			/* General settings */

			array(

				'title' => esc_html__( 'General settings','minimalista-base'),
				'description' => esc_html__( 'From this section you can manage the general settings of Minimalista Base.','minimalista-base'),
				'type' => 'section',
				'id' => 'settings_section',
				'panel' => 'general_panel',
				'priority' => '13',

			),

			array(

				'label' => esc_html__( 'Scrollable sidebar menu on desktop','minimalista-base'),
				'description' => esc_html__( 'Do you want to display the menu within the scrollable sidebar on desktop devices as well?','minimalista-base'),
				'id' => 'minimalista_base_scrollable_menu_on_desktop',
				'type' => 'checkbox',
				'section' => 'settings_section',
				'std' => false,

			),

			array(

				'label' => esc_html__( 'Enable the breadcrumb','minimalista-base'),
				'description' => esc_html__( 'Do you want to enable the breadcrumb on whole website (except the homepage)?','minimalista-base'),
				'id' => 'minimalista_base_enable_breadcrumb',
				'type' => 'checkbox',
				'section' => 'settings_section',
				'std' => false,

			),

			array(

				'label' => esc_html__( 'Category title','minimalista-base'),
				'description' => esc_html__( 'Do you want to enable the category title, under the black container?','minimalista-base'),
				'id' => 'minimalista_base_enable_category_title',
				'type' => 'checkbox',
				'section' => 'settings_section',
				'std' => true,

			),

			array(

				'label' => esc_html__( 'Searched item','minimalista-base'),
				'description' => esc_html__( 'Do you want to enable the searched item, under the black container?','minimalista-base'),
				'id' => 'minimalista_base_enable_searched_item',
				'type' => 'checkbox',
				'section' => 'settings_section',
				'std' => true,

			),

			array(

				'label' => esc_html__( 'Back to top button','minimalista-base'),
				'description' => esc_html__( 'Do you want to enable a button to back on the top of the site?','minimalista-base'),
				'id' => 'minimalista_base_enable_backtotop_button',
				'type' => 'checkbox',
				'section' => 'settings_section',
				'std' => true,

			),

			/* Single posts settings */

			array(

				'title' => esc_html__( 'Single posts settings','minimalista-base'),
				'description' => esc_html__( 'From this section, you can manage (show or hide) various elements within individual posts, such as the category, publication date, author, etc.','minimalista-base'),
				'type' => 'section',
				'id' => 'single_posts_settings_section',
				'panel' => 'general_panel',
				'priority' => '13',

			),

			array(

				'label' => esc_html__( 'Show categories','minimalista-base'),
				'description' => esc_html__( 'Do you want to enable the post categories?','minimalista-base'),
				'id' => 'minimalista_base_enable_post_category',
				'type' => 'checkbox',
				'section' => 'single_posts_settings_section',
				'std' => true,

			),

			array(

				'label' => esc_html__( 'Show post icon','minimalista-base'),
				'description' => esc_html__( 'Do you want to enable the post icon?','minimalista-base'),
				'id' => 'minimalista_base_enable_post_icon',
				'type' => 'checkbox',
				'section' => 'single_posts_settings_section',
				'std' => true,

			),

			array(

				'label' => esc_html__( 'Show author','minimalista-base'),
				'description' => esc_html__( 'Do you want to enable the author name?','minimalista-base'),
				'id' => 'minimalista_base_enable_post_author',
				'type' => 'checkbox',
				'section' => 'single_posts_settings_section',
				'std' => true,

			),

			array(

				'label' => esc_html__( 'Show date','minimalista-base'),
				'description' => esc_html__( 'Do you want to enable the post date?','minimalista-base'),
				'id' => 'minimalista_base_enable_post_date',
				'type' => 'checkbox',
				'section' => 'single_posts_settings_section',
				'std' => true,

			),

			array(

				'label' => esc_html__( 'Related posts','minimalista-base'),
				'description' => esc_html__( 'Do you want to display the related posts at the end of each article?','minimalista-base'),
				'id' => 'minimalista_base_enable_related_posts',
				'type' => 'checkbox',
				'section' => 'single_posts_settings_section',
				'std' => true,

			),

			array(

				'label' => esc_html__( 'Post author info box','minimalista-base'),
				'description' => esc_html__( 'Do you want to display the post author info box below the content? (Important, the biographical info must be added from the user settings)','minimalista-base'),
				'id' => 'minimalista_base_enable_author_info_box',
				'type' => 'checkbox',
				'section' => 'single_posts_settings_section',
				'std' => false,

			),

			array(

				'label' => esc_html__( 'Post Format','minimalista-base'),
				'description' => esc_html__( 'Do you want to use a different layout for the Aside, Link and Quote posts?','minimalista-base'),
				'id' => 'minimalista_base_enable_post_format_layout',
				'type' => 'checkbox',
				'section' => 'single_posts_settings_section',
				'std' => true,

			),

			/* WooCommerce Settings section */

			array(

				'title' => esc_html__( 'WooCommerce settings','minimalista-base'),
				'description' => esc_html__( 'From this section you can manage the settings of WooCommerce.','minimalista-base'),
				'type' => 'section',
				'id' => 'woocommerce_section',
				'panel' => 'general_panel',
				'priority' => '25',

			),

			array(

				'label' => esc_html__('WooCommerce header cart','minimalista-base'),
				'description' => esc_html__('Do you want to show the header cart?','minimalista-base'),
				'id' => 'minimalista_base_enable_woocommerce_header_cart',
				'type' => 'checkbox',
				'section' => 'woocommerce_section',
				'std' => true,

			),

			array(

				'label' => esc_html__('WooCommerce header cart icon','minimalista-base'),
				'description' => esc_html__('Select the icon for WooCommerce header cart (Please clear the cookies to display the new icon)','minimalista-base'),
				'id' => 'minimalista_base_woocommerce_header_icon',
				'type' => 'select',
				'section' => 'woocommerce_section',
				'options' => array (
				   'fa-shopping-basket' => esc_html__( 'Icon 1','minimalista-base'),
				   'fa-shopping-cart' => esc_html__( 'Icon 2','minimalista-base'),
				   'fa-cart-plus' => esc_html__( 'Icon 3','minimalista-base'),
				),
				'std' => 'fa-shopping-basket',

			),

			array(

				'label' => esc_html__( 'Cross sell products','minimalista-base'),
				'description' => esc_html__( 'Do you want to display the cross sell products on cart page?','minimalista-base'),
				'id' => 'minimalista_base_enable_woocommerce_cross_sell_cart',
				'type' => 'checkbox',
				'section' => 'woocommerce_section',
				'std' => false,

			),

			array(

				'label' => esc_html__( 'Related products','minimalista-base'),
				'description' => esc_html__( 'Do you want to display the related products on product page?','minimalista-base'),
				'id' => 'minimalista_base_enable_woocommerce_related_products',
				'type' => 'checkbox',
				'section' => 'woocommerce_section',
				'std' => false,

			),

			array(

				'label' => esc_html__( 'Up sell products','minimalista-base'),
				'description' => esc_html__( 'Do you want to display the up sell products on product page?','minimalista-base'),
				'id' => 'minimalista_base_enable_woocommerce_upsell_products',
				'type' => 'checkbox',
				'section' => 'woocommerce_section',
				'std' => false,

			),

			array(

				'label' => esc_html__( 'WooCommerce linkable product thumbnails','minimalista-base'),
				'description' => esc_html__( 'Do you want to make linkable the product thumbnails on WooCommerce category pages?','minimalista-base'),
				'id' => 'minimalista_base_enable_woocommerce_linkable_product_thumbnails',
				'type' => 'checkbox',
				'section' => 'woocommerce_section',
				'std' => false,

			),

			array(

				'label' => esc_html__('WooCommerce Category Layout','minimalista-base'),
				'description' => esc_html__('Select a layout for the woocommerce categories.','minimalista-base'),
				'id' => 'minimalista_base_woocommerce_category_layout',
				'type' => 'select',
				'section' => 'woocommerce_section',
				'options' => array (
				   'full' => esc_html__( 'Full Width','minimalista-base'),
				   'left-sidebar' => esc_html__( 'Left Sidebar','minimalista-base'),
				   'right-sidebar' => esc_html__( 'Right Sidebar','minimalista-base'),
				),

				'std' => 'right-sidebar',

			),

			/* FEATURED LINKS */

			array(

				'title' => esc_html__( 'Minimalista Base Featured Links','minimalista-base'),
				'description' => esc_html__( 'Minimalista Base Featured Links','minimalista-base'),
				'type' => 'panel',
				'id' => 'featured_links_panel',
				'priority' => '10',

			),

			array(

				'title' => esc_html__( 'Featured Link Settings','minimalista-base'),
				'description' => esc_html__('Featured Link #1','minimalista-base'),
				'type' => 'section',
				'panel' => 'featured_links_panel',
				'priority' => '09',
				'id' => 'featured_links_settings',

			),

			array(

				'label' => esc_html__( 'Enable the featured links section','minimalista-base'),
				'description' => esc_html__( 'Do you want to display the featured links section, below the homepage slideshow?','minimalista-base'),
				'id' => 'minimalista_base_enable_featuredlinks_section',
				'type' => 'checkbox',
				'section' => 'featured_links_settings',
				'std' => false,

			),

			/* #1 FEATURED LINK */

			array(

				'title' => esc_html__( 'Featured Link #1','minimalista-base'),
				'description' => esc_html__('Featured Link #1','minimalista-base'),
				'type' => 'section',
				'panel' => 'featured_links_panel',
				'priority' => '10',
				'id' => 'featured_link_1',

			),

			array(

				'label' => esc_html__( 'Image','minimalista-base'),
				'description' => esc_html__( 'Upload the image','minimalista-base'),
				'id' => 'minimalista_base_featured_link_1_image',
				'type' => 'upload',
				'section' => 'featured_link_1',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Title','minimalista-base'),
				'description' => esc_html__( 'Insert the title of this slide','minimalista-base'),
				'id' => 'minimalista_base_featured_link_1_title',
				'type' => 'text',
				'section' => 'featured_link_1',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Url','minimalista-base'),
				'description' => esc_html__( 'Insert the url of this slide','minimalista-base'),
				'id' => 'minimalista_base_featured_link_1_url',
				'type' => 'url',
				'section' => 'featured_link_1',
				'std' => '',

			),

			/* #2 FEATURED LINK */

			array(

				'title' => esc_html__( 'Featured Link #2','minimalista-base'),
				'description' => esc_html__('Featured Link #2','minimalista-base'),
				'type' => 'section',
				'panel' => 'featured_links_panel',
				'priority' => '10',
				'id' => 'featured_link_2',

			),

			array(

				'label' => esc_html__( 'Image','minimalista-base'),
				'description' => esc_html__( 'Upload the image','minimalista-base'),
				'id' => 'minimalista_base_featured_link_2_image',
				'type' => 'upload',
				'section' => 'featured_link_2',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Title','minimalista-base'),
				'description' => esc_html__( 'Insert the title of this slide','minimalista-base'),
				'id' => 'minimalista_base_featured_link_2_title',
				'type' => 'text',
				'section' => 'featured_link_2',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Url','minimalista-base'),
				'description' => esc_html__( 'Insert the url of this slide','minimalista-base'),
				'id' => 'minimalista_base_featured_link_2_url',
				'type' => 'url',
				'section' => 'featured_link_2',
				'std' => '',

			),

			/* #3 FEATURED LINK */

			array(

				'title' => esc_html__( 'Featured Link #3','minimalista-base'),
				'description' => esc_html__('Featured Link #3','minimalista-base'),
				'type' => 'section',
				'panel' => 'featured_links_panel',
				'priority' => '10',
				'id' => 'featured_link_3',

			),

			array(

				'label' => esc_html__( 'Image','minimalista-base'),
				'description' => esc_html__( 'Upload the image','minimalista-base'),
				'id' => 'minimalista_base_featured_link_3_image',
				'type' => 'upload',
				'section' => 'featured_link_3',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Title','minimalista-base'),
				'description' => esc_html__( 'Insert the title of this slide','minimalista-base'),
				'id' => 'minimalista_base_featured_link_3_title',
				'type' => 'text',
				'section' => 'featured_link_3',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Url','minimalista-base'),
				'description' => esc_html__( 'Insert the url of this slide','minimalista-base'),
				'id' => 'minimalista_base_featured_link_3_url',
				'type' => 'url',
				'section' => 'featured_link_3',
				'std' => '',

			),

			/* LAYOUTS SECTION */

			array(

				'title' => esc_html__( 'Layouts','minimalista-base'),
				'description' => esc_html__( 'From this section you can manage the layouts of Minimalista Base.','minimalista-base'),
				'type' => 'section',
				'id' => 'layouts_section',
				'panel' => 'general_panel',
				'priority' => '16',

			),

			array(

				'label' => esc_html__('Home Blog Layout','minimalista-base'),
				'description' => esc_html__('If you&#39;ve set the latest articles, for the homepage, choose a layout.','minimalista-base'),
				'id' => 'minimalista_base_home_layout',
				'type' => 'select',
				'section' => 'layouts_section',
				'options' => array (
				   'full' => esc_html__( 'Full Width','minimalista-base'),
				   'left-sidebar' => esc_html__( 'Left Sidebar','minimalista-base'),
				   'right-sidebar' => esc_html__( 'Right Sidebar','minimalista-base'),
				   'col-md-4' => esc_html__( 'Masonry','minimalista-base'),
				),

				'std' => 'right-sidebar',

			),

			array(

				'label' => esc_html__('Category Layout','minimalista-base'),
				'description' => esc_html__('Select a layout for category pages.','minimalista-base'),
				'id' => 'minimalista_base_category_layout',
				'type' => 'select',
				'section' => 'layouts_section',
				'options' => array (
				   'full' => esc_html__( 'Full Width','minimalista-base'),
				   'left-sidebar' => esc_html__( 'Left Sidebar','minimalista-base'),
				   'right-sidebar' => esc_html__( 'Right Sidebar','minimalista-base'),
				   'col-md-4' => esc_html__( 'Masonry','minimalista-base'),
				),

				'std' => 'right-sidebar',

			),

			array(

				'label' => esc_html__('Search Layout','minimalista-base'),
				'description' => esc_html__('Select a layout for the search section.','minimalista-base'),
				'id' => 'minimalista_base_search_layout',
				'type' => 'select',
				'section' => 'layouts_section',
				'options' => array (
				   'full' => esc_html__( 'Full Width','minimalista-base'),
				   'left-sidebar' => esc_html__( 'Left Sidebar','minimalista-base'),
				   'right-sidebar' => esc_html__( 'Right Sidebar','minimalista-base'),
				   'col-md-4' => esc_html__( 'Masonry','minimalista-base'),
				),

				'std' => 'right-sidebar',

			),

			/* FOOTER AREA SECTION */

			array(

				'title' => esc_html__( 'Social Links and Footer','minimalista-base'),
				'description' => esc_html__( 'From this section you can manage the social icons and the copyright text.','minimalista-base'),
				'type' => 'section',
				'id' => 'footer_section',
				'panel' => 'general_panel',
				'priority' => '17',

			),

			array(

				'label' => esc_html__( 'Copyright Text','minimalista-base'),
				'description' => esc_html__( 'Insert your copyright text.','minimalista-base'),
				'id' => 'minimalista_base_copyright_text',
				'type' => 'textarea',
				'section' => 'footer_section',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Facebook Url','minimalista-base'),
				'description' => esc_html__( 'Insert Facebook Url (leave empty if you want to hide the button)','minimalista-base'),
				'id' => 'minimalista_base_footer_facebook_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'X Url','minimalista-base'),
				'description' => esc_html__( 'Insert X (Twitter) Url (leave empty if you want to hide the button)','minimalista-base'),
				'id' => 'minimalista_base_footer_x_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Flickr Url','minimalista-base'),
				'description' => esc_html__( 'Insert Flickr Url (leave empty if you want to hide the button)','minimalista-base'),
				'id' => 'minimalista_base_footer_flickr_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Linkedin Url','minimalista-base'),
				'description' => esc_html__( 'Insert Linkedin Url (leave empty if you want to hide the button)','minimalista-base'),
				'id' => 'minimalista_base_footer_linkedin_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Slack Url','minimalista-base'),
				'description' => esc_html__( 'Insert Slack Url (leave empty if you want to hide the button)','minimalista-base'),
				'id' => 'minimalista_base_footer_slack_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Pinterest Url','minimalista-base'),
				'description' => esc_html__( 'Insert Pinterest Url (leave empty if you want to hide the button)','minimalista-base'),
				'id' => 'minimalista_base_footer_pinterest_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Tumblr Url','minimalista-base'),
				'description' => esc_html__( 'Insert Tumblr Url (leave empty if you want to hide the button)','minimalista-base'),
				'id' => 'minimalista_base_footer_tumblr_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Soundcloud Url','minimalista-base'),
				'description' => esc_html__( 'Insert Soundcloud Url (leave empty if you want to hide the button)','minimalista-base'),
				'id' => 'minimalista_base_footer_soundcloud_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Spotify Url','minimalista-base'),
				'description' => esc_html__( 'Insert Spotify Url (leave empty if you want to hide the button)','minimalista-base'),
				'id' => 'minimalista_base_footer_spotify_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Youtube Url','minimalista-base'),
				'description' => esc_html__( 'Insert Youtube Url (leave empty if you want to hide the button)','minimalista-base'),
				'id' => 'minimalista_base_footer_youtube_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Vimeo Url','minimalista-base'),
				'description' => esc_html__( 'Insert Vimeo Url (leave empty if you want to hide the button)','minimalista-base'),
				'id' => 'minimalista_base_footer_vimeo_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'VK Url','minimalista-base'),
				'description' => esc_html__( 'Insert VK Url (leave empty if you want to hide the button)','minimalista-base'),
				'id' => 'minimalista_base_footer_vk_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Instagram Url','minimalista-base'),
				'description' => esc_html__( 'Insert Instagram Url (leave empty if you want to hide the button)','minimalista-base'),
				'id' => 'minimalista_base_footer_instagram_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Deviantart Url','minimalista-base'),
				'description' => esc_html__( 'Insert Deviantart Url (leave empty if you want to hide the button)','minimalista-base'),
				'id' => 'minimalista_base_footer_deviantart_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Github Url','minimalista-base'),
				'description' => esc_html__( 'Insert Github Url (leave empty if you want to hide the button)','minimalista-base'),
				'id' => 'minimalista_base_footer_github_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Xing Url','minimalista-base'),
				'description' => esc_html__( 'Insert Xing Url (leave empty if you want to hide the button)','minimalista-base'),
				'id' => 'minimalista_base_footer_xing_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Dribbble Url','minimalista-base'),
				'description' => esc_html__( 'Insert Dribbble Url (leave empty if you want to hide the button)','minimalista-base'),
				'id' => 'minimalista_base_footer_dribbble_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Dropbox Url','minimalista-base'),
				'description' => esc_html__( 'Insert Dropbox Url (leave empty if you want to hide the button)','minimalista-base'),
				'id' => 'minimalista_base_footer_dropbox_button',
				'type' => 'url',
				'section' => 'footer_section',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Whatsapp Number','minimalista-base'),
				'description' => esc_html__( 'Insert Whatsapp number (leave empty if you want to hide the button)','minimalista-base'),
				'id' => 'minimalista_base_footer_whatsapp_button',
				'type' => 'button',
				'section' => 'footer_section',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Telegram Account','minimalista-base'),
				'description' => esc_html__( 'Insert Telegram Account (leave empty if you want to hide the button)','minimalista-base'),
				'id' => 'minimalista_base_footer_telegram_button',
				'type' => 'button',
				'section' => 'footer_section',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Trello Account','minimalista-base'),
				'description' => esc_html__( 'Insert Trello Account (leave empty if you want to hide the button)','minimalista-base'),
				'id' => 'minimalista_base_footer_trello_button',
				'type' => 'button',
				'section' => 'footer_section',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Twitch Account','minimalista-base'),
				'description' => esc_html__( 'Insert Twitch Account (leave empty if you want to hide the button)','minimalista-base'),
				'id' => 'minimalista_base_footer_twitch_button',
				'type' => 'button',
				'section' => 'footer_section',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Tripadvisor Account','minimalista-base'),
				'description' => esc_html__( 'Insert Tripadvisor Account (leave empty if you want to hide the button)','minimalista-base'),
				'id' => 'minimalista_base_footer_tripadvisor_button',
				'type' => 'button',
				'section' => 'footer_section',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Vine Account','minimalista-base'),
				'description' => esc_html__( 'Insert Vine Account (leave empty if you want to hide the button)','minimalista-base'),
				'id' => 'minimalista_base_footer_vine_button',
				'type' => 'button',
				'section' => 'footer_section',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Skype Url','minimalista-base'),
				'description' => esc_html__( 'Insert Skype ID (leave empty if you want to hide the button)','minimalista-base'),
				'id' => 'minimalista_base_footer_skype_button',
				'type' => 'button',
				'section' => 'footer_section',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Skype Url','minimalista-base'),
				'description' => esc_html__( 'Insert Skype ID (leave empty if you want to hide the button)','minimalista-base'),
				'id' => 'minimalista_base_footer_skype_button',
				'type' => 'button',
				'section' => 'footer_section',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Email Address','minimalista-base'),
				'description' => esc_html__( 'Insert Email Address (leave empty if you want to hide the button)','minimalista-base'),
				'id' => 'minimalista_base_footer_email_button',
				'type' => 'button',
				'section' => 'footer_section',
				'std' => '',

			),

			array(

				'label' => esc_html__( 'Feed Rss Button','minimalista-base'),
				'description' => esc_html__( 'Do you want to display the Feed Rss button?','minimalista-base'),
				'id' => 'minimalista_base_footer_rss_button',
				'type' => 'select',
				'section' => 'footer_section',
				'options' => array (
				   'off' => esc_html__( 'No','minimalista-base'),
				   'on' => esc_html__( 'Yes','minimalista-base'),
				),

				'std' => 'off',

			),

			/* TYPOGRAPHY SECTION */

			array(

				'title' => esc_html__( 'Minimalista Base Typography','minimalista-base'),
				'description' => esc_html__( 'Minimalista Base Typography','minimalista-base'),
				'type' => 'panel',
				'id' => 'typography_panel',
				'priority' => '11',

			),

			/* LOGO */

			array(

				'title' => esc_html__( 'Logo','minimalista-base'),
				'description' => esc_html__( 'From this section you can manage the typography of the logo.','minimalista-base'),
				'type' => 'section',
				'id' => 'logo_section',
				'panel' => 'typography_panel',
				'priority' => '10',

			),

			array(

				'label' => esc_html__( 'Font size','minimalista-base'),
				'description' => esc_html__( 'Insert a size, for logo font (For example, 60px) ','minimalista-base'),
				'id' => 'minimalista_base_logo_font_size',
				'type' => 'pixel_size',
				'section' => 'logo_section',
				'std' => '70px',

			),

			array(

				'label' => esc_html__( 'Description font size','minimalista-base'),
				'description' => esc_html__( 'Insert a size, for logo description (For example, 14px) ','minimalista-base'),
				'id' => 'minimalista_base_logo_description_font_size',
				'type' => 'pixel_size',
				'section' => 'logo_section',
				'std' => '14px',

			),

			array(

				'label' => esc_html__( 'Description top margin','minimalista-base'),
				'description' => esc_html__( 'Add a space between the logo and the description (For example, 15px) ','minimalista-base'),
				'id' => 'minimalista_base_logo_description_top_margin',
				'type' => 'pixel_size',
				'section' => 'logo_section',
				'std' => '15px',

			),

			array(

				'label' => esc_html__('Weight','minimalista-base'),
				'description' => esc_html__('Choose a font weight for the logo.','minimalista-base'),
				'id' => 'minimalista_base_logo_font_weight',
				'type' => 'select',
				'section' => 'logo_section',
				'options' => array(
					'100' => esc_html__( '100','minimalista-base'),
					'200' => esc_html__( '200','minimalista-base'),
					'300' => esc_html__( '300','minimalista-base'),
					'400' => esc_html__( '400','minimalista-base'),
					'500' => esc_html__( '500','minimalista-base'),
					'600' => esc_html__( '600','minimalista-base'),
					'700' => esc_html__( '700','minimalista-base'),
					'800' => esc_html__( '800','minimalista-base'),
					'900' => esc_html__( '900','minimalista-base'),
				),

				'std' => '500',

			),

			array(

				'label' => esc_html__('Text transform','minimalista-base'),
				'description' => esc_html__('Do you want to display an uppercase logo?.','minimalista-base'),
				'id' => 'minimalista_base_logo_text_transform',
				'type' => 'select',
				'section' => 'logo_section',
				'options' => array(
					'none' => esc_html__( 'None','minimalista-base'),
					'uppercase' => esc_html__( 'Uppercase','minimalista-base'),
				),

				'std' => 'none',

			),

			/* MENU */

			array(

				'title' => esc_html__( 'Menu','minimalista-base'),
				'description' => esc_html__( 'From this section you can manage the typography of the menu.','minimalista-base'),
				'type' => 'section',
				'id' => 'menu_section',
				'panel' => 'typography_panel',
				'priority' => '11',

			),

			array(

				'label' => esc_html__( 'Font size','minimalista-base'),
				'description' => esc_html__( 'Insert a size, for menu font (For example, 14px) ','minimalista-base'),
				'id' => 'minimalista_base_menu_font_size',
				'type' => 'pixel_size',
				'section' => 'menu_section',
				'std' => '16px',

			),

			array(

				'label' => esc_html__('Menu weight','minimalista-base'),
				'description' => esc_html__('Choose a font weight for the menu.','minimalista-base'),
				'id' => 'minimalista_base_menu_font_weight',
				'type' => 'select',
				'section' => 'menu_section',
				'options' => array(
					'100' => esc_html__( '100','minimalista-base'),
					'200' => esc_html__( '200','minimalista-base'),
					'300' => esc_html__( '300','minimalista-base'),
					'400' => esc_html__( '400','minimalista-base'),
					'500' => esc_html__( '500','minimalista-base'),
					'600' => esc_html__( '600','minimalista-base'),
					'700' => esc_html__( '700','minimalista-base'),
					'800' => esc_html__( '800','minimalista-base'),
					'900' => esc_html__( '900','minimalista-base'),
				),

				'std' => '400',

			),

			array(

				'label' => esc_html__('Text transform','minimalista-base'),
				'description' => esc_html__('Do you want to display an uppercase menu?.','minimalista-base'),
				'id' => 'minimalista_base_menu_text_transform',
				'type' => 'select',
				'section' => 'menu_section',
				'options' => array(
					'none' => esc_html__( 'None','minimalista-base'),
					'uppercase' => esc_html__( 'Uppercase','minimalista-base'),
				),

				'std' => 'none',

			),

			/* CONTENT */

			array(

				'title' => esc_html__( 'Content','minimalista-base'),
				'description' => esc_html__( 'From this section you can manage the typography of the content.','minimalista-base'),
				'type' => 'section',
				'id' => 'content_section',
				'panel' => 'typography_panel',
				'priority' => '12',

			),

			array(

				'label' => esc_html__( 'Font size','minimalista-base'),
				'description' => esc_html__( 'Insert a size, for content font (For example, 14px) ','minimalista-base'),
				'id' => 'minimalista_base_content_font_size',
				'type' => 'pixel_size',
				'section' => 'content_section',
				'std' => '14px',

			),


			/* HEADLINES */

			array(

				'title' => esc_html__( 'Headlines','minimalista-base'),
				'description' => esc_html__( 'From this section you can manage the typography of the headlines.','minimalista-base'),
				'type' => 'section',
				'id' => 'headlines_section',
				'panel' => 'typography_panel',
				'priority' => '13',

			),

			array(

				'label' => esc_html__( 'H1 headline','minimalista-base'),
				'description' => esc_html__( 'Insert a size, for for H1 elements (For example, 24px) ','minimalista-base'),
				'id' => 'minimalista_base_h1_font_size',
				'type' => 'pixel_size',
				'section' => 'headlines_section',
				'std' => '24px',

			),

			array(

				'label' => esc_html__( 'H2 headline','minimalista-base'),
				'description' => esc_html__( 'Insert a size, for for H2 elements (For example, 22px) ','minimalista-base'),
				'id' => 'minimalista_base_h2_font_size',
				'type' => 'pixel_size',
				'section' => 'headlines_section',
				'std' => '22px',

			),

			array(

				'label' => esc_html__( 'H3 headline','minimalista-base'),
				'description' => esc_html__( 'Insert a size, for for H3 elements (For example, 20px) ','minimalista-base'),
				'id' => 'minimalista_base_h3_font_size',
				'type' => 'pixel_size',
				'section' => 'headlines_section',
				'std' => '20px',

			),

			array(

				'label' => esc_html__( 'H4 headline','minimalista-base'),
				'description' => esc_html__( 'Insert a size, for for H4 elements (For example, 18px) ','minimalista-base'),
				'id' => 'minimalista_base_h4_font_size',
				'type' => 'pixel_size',
				'section' => 'headlines_section',
				'std' => '18px',

			),

			array(

				'label' => esc_html__( 'H5 headline','minimalista-base'),
				'description' => esc_html__( 'Insert a size, for for H5 elements (For example, 16px) ','minimalista-base'),
				'id' => 'minimalista_base_h5_font_size',
				'type' => 'pixel_size',
				'section' => 'headlines_section',
				'std' => '16px',

			),

			array(

				'label' => esc_html__( 'H6 headline','minimalista-base'),
				'description' => esc_html__( 'Insert a size, for for H6 elements (For example, 14px) ','minimalista-base'),
				'id' => 'minimalista_base_h6_font_size',
				'type' => 'pixel_size',
				'section' => 'headlines_section',
				'std' => '14px',

			),

			array(

				'label' => esc_html__('Titles weight','minimalista-base'),
				'description' => esc_html__('Choose a font weight for the titles.','minimalista-base'),
				'id' => 'minimalista_base_titles_font_weight',
				'type' => 'select',
				'section' => 'headlines_section',
				'options' => array(
					'100' => esc_html__( '100','minimalista-base'),
					'200' => esc_html__( '200','minimalista-base'),
					'300' => esc_html__( '300','minimalista-base'),
					'400' => esc_html__( '400','minimalista-base'),
					'500' => esc_html__( '500','minimalista-base'),
					'600' => esc_html__( '600','minimalista-base'),
					'700' => esc_html__( '700','minimalista-base'),
					'800' => esc_html__( '800','minimalista-base'),
					'900' => esc_html__( '900','minimalista-base'),
				),

				'std' => '600',

			),

			array(

				'label' => esc_html__('Text transform','minimalista-base'),
				'description' => esc_html__('Do you want to display an uppercase title?.','minimalista-base'),
				'id' => 'minimalista_base_titles_text_transform',
				'type' => 'select',
				'section' => 'headlines_section',
				'options' => array(
					'none' => esc_html__( 'None','minimalista-base'),
					'uppercase' => esc_html__( 'Uppercase','minimalista-base'),
				),

				'std' => 'none',

			),

			/* POST META */

			array(

				'title' => esc_html__( 'Post meta','minimalista-base'),
				'description' => esc_html__( 'From this section, you can manage the typography of the post meta.','minimalista-base'),
				'type' => 'section',
				'id' => 'postmeta_section',
				'panel' => 'typography_panel',
				'priority' => '13',

			),

			array(

				'label' => esc_html__( 'Font size','minimalista-base'),
				'description' => esc_html__( 'Insert a size for the post meta (e.g., 11px)','minimalista-base'),
				'id' => 'minimalista_base_postmeta_font_size',
				'type' => 'pixel_size',
				'section' => 'postmeta_section',
				'std' => '11px',

			),

			array(

				'label' => esc_html__('Text transform','minimalista-base'),
				'description' => esc_html__('Do you want to display the post meta in uppercase?','minimalista-base'),
				'id' => 'minimalista_base_postmeta_text_transform',
				'type' => 'select',
				'section' => 'postmeta_section',
				'options' => array(
					'none' => esc_html__( 'None','minimalista-base'),
					'uppercase' => esc_html__( 'Uppercase','minimalista-base'),
				),

				'std' => 'uppercase',

			),

		);

		new minimalista_base_customize($theme_panel);

	}

	add_action( 'minimalista_base_customize_panel', 'minimalista_base_customize_panel_function' );

}

do_action('minimalista_base_customize_panel');

?>
